Bug 1032756 - [abrt] systemd-ui-2-2.fc20: strlen: Process /usr/bin/systemadm was killed by signal 11 (SIGSEGV)
[abrt] systemd-ui-2-2.fc20: strlen: Process /usr/bin/systemadm was killed by ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: systemd-ui (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:b2d3d672b712be0d5329c666fa1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-20 13:36 EST by fred
Modified: 2013-12-28 18:37 EST (History)
7 users (show)

See Also:
Fixed In Version: systemd-ui-3-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-28 18:37:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (31.06 KB, text/plain)
2013-11-20 13:36 EST, fred
no flags Details
File: cgroup (161 bytes, text/plain)
2013-11-20 13:36 EST, fred
no flags Details
File: core_backtrace (15.98 KB, text/plain)
2013-11-20 13:36 EST, fred
no flags Details
File: dso_list (9.41 KB, text/plain)
2013-11-20 13:37 EST, fred
no flags Details
File: environ (3.45 KB, text/plain)
2013-11-20 13:37 EST, fred
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-20 13:37 EST, fred
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-20 13:37 EST, fred
no flags Details
File: maps (45.31 KB, text/plain)
2013-11-20 13:37 EST, fred
no flags Details
File: open_fds (1.01 KB, text/plain)
2013-11-20 13:37 EST, fred
no flags Details
File: proc_pid_status (943 bytes, text/plain)
2013-11-20 13:37 EST, fred
no flags Details

  None (edit)
Description fred 2013-11-20 13:36:44 EST
Version-Release number of selected component:
systemd-ui-2-2.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        systemadm
crash_function: strlen
executable:     /usr/bin/systemadm
kernel:         3.11.8-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: Nov 20 19:20:50 m7-75 kernel: [87916.921838] systemadm[13031]: segfault at 1426 ip 0000003694e866ba sp 00007fff869a57f8 error 4 in libc-2.18.so[3694e00000+1b4000]

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strlen at ../sysdeps/x86_64/strlen.S:106
 #1 g_strdup at gstrfuncs.c:363
 #2 value_collect_string at gvaluetypes.c:293
 #3 gtk_list_store_set_valist_internal at gtkliststore.c:1045
 #4 gtk_list_store_set_valist at gtkliststore.c:1150
 #5 gtk_list_store_set at gtkliststore.c:1192
 #6 main_window_update_job_iter at /home/kay/data/src/systemd-ui/src/systemadm.vala:765
 #7 main_window_on_job_new at /home/kay/data/src/systemd-ui/src/systemadm.vala:793
 #11 g_signal_emit_by_name at gsignal.c:3426
 #12 _dbus_handle_manager_job_new at systemd-interfaces.c:1506

Potential duplicate: bug 921230
Comment 1 fred 2013-11-20 13:36:52 EST
Created attachment 826790 [details]
File: backtrace
Comment 2 fred 2013-11-20 13:36:55 EST
Created attachment 826791 [details]
File: cgroup
Comment 3 fred 2013-11-20 13:36:59 EST
Created attachment 826792 [details]
File: core_backtrace
Comment 4 fred 2013-11-20 13:37:02 EST
Created attachment 826793 [details]
File: dso_list
Comment 5 fred 2013-11-20 13:37:06 EST
Created attachment 826794 [details]
File: environ
Comment 6 fred 2013-11-20 13:37:13 EST
Created attachment 826795 [details]
File: exploitable
Comment 7 fred 2013-11-20 13:37:16 EST
Created attachment 826796 [details]
File: limits
Comment 8 fred 2013-11-20 13:37:20 EST
Created attachment 826797 [details]
File: maps
Comment 9 fred 2013-11-20 13:37:23 EST
Created attachment 826798 [details]
File: open_fds
Comment 10 fred 2013-11-20 13:37:27 EST
Created attachment 826799 [details]
File: proc_pid_status
Comment 11 Fedora Update System 2013-12-27 22:52:16 EST
systemd-ui-3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2013-23755/systemd-ui-3-1.fc20
Comment 12 Fedora Update System 2013-12-28 18:37:35 EST
systemd-ui-3-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.